<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>screenlets.plugins.Songbird</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="screenlets-module.html">Package&nbsp;screenlets</a> ::
        <a href="screenlets.plugins-module.html">Package&nbsp;plugins</a> ::
        Module&nbsp;Songbird
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="screenlets.plugins.Songbird-pysrc.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<h1 class="epydoc">Source Code for <a href="screenlets.plugins.Songbird-module.html">Module screenlets.plugins.Songbird</a></h1>
<pre class="py-src">
<a name="L1"></a><tt class="py-lineno">  1</tt>  <tt class="py-line"><tt class="py-comment"># This application is released under the GNU General Public License </tt> </tt>
<a name="L2"></a><tt class="py-lineno">  2</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># v3 (or, at your option, any later version). You can find the full </tt> </tt>
<a name="L3"></a><tt class="py-lineno">  3</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># text of the license under http://www.gnu.org/licenses/gpl.txt. </tt> </tt>
<a name="L4"></a><tt class="py-lineno">  4</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># By using, editing and/or distributing this software you agree to </tt> </tt>
<a name="L5"></a><tt class="py-lineno">  5</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># the terms and conditions of this license. </tt> </tt>
<a name="L6"></a><tt class="py-lineno">  6</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># Thank you for using free software!</tt> </tt>
<a name="L7"></a><tt class="py-lineno">  7</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="L8"></a><tt class="py-lineno">  8</tt>  <tt class="py-line"><tt class="py-comment"># Songbird API (c) Whise (Helder Fraga) 2008 &lt;helder.fraga@hotmail.com&gt;</tt> </tt>
<a name="L9"></a><tt class="py-lineno">  9</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="L10"></a><tt class="py-lineno"> 10</tt>  <tt class="py-line"><tt class="py-comment">#Not working yet , and you need songbird 0.6</tt> </tt>
<a name="L11"></a><tt class="py-lineno"> 11</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="L12"></a><tt class="py-lineno"> 12</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">os</tt> </tt>
<a name="L13"></a><tt class="py-lineno"> 13</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">dbus</tt> </tt>
<a name="L14"></a><tt class="py-lineno"> 14</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-0" class="py-name" targets="Module screenlets.plugins.GenericPlayer=screenlets.plugins.GenericPlayer-module.html"><a title="screenlets.plugins.GenericPlayer" class="py-name" href="#" onclick="return doclink('link-0', 'GenericPlayer', 'link-0');">GenericPlayer</a></tt> <tt class="py-keyword">import</tt> <tt id="link-1" class="py-name" targets="Class screenlets.plugins.GenericPlayer.GenericAPI=screenlets.plugins.GenericPlayer.GenericAPI-class.html"><a title="screenlets.plugins.GenericPlayer.GenericAPI" class="py-name" href="#" onclick="return doclink('link-1', 'GenericAPI', 'link-1');">GenericAPI</a></tt> </tt>
<a name="L15"></a><tt class="py-lineno"> 15</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">urllib</tt> </tt>
<a name="L16"></a><tt class="py-lineno"> 16</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt class="py-name">urlparse</tt> <tt class="py-keyword">import</tt> <tt class="py-name">urlparse</tt> </tt>
<a name="L17"></a><tt class="py-lineno"> 17</tt>  <tt class="py-line"> </tt>
<a name="SongbirdAPI"></a><div id="SongbirdAPI-def"><a name="L18"></a><tt class="py-lineno"> 18</tt> <a class="py-toggle" href="#" id="SongbirdAPI-toggle" onclick="return toggle('SongbirdAPI');">-</a><tt class="py-line"><tt class="py-keyword">class</tt> <a class="py-def-name" href="screenlets.plugins.Songbird.SongbirdAPI-class.html">SongbirdAPI</a><tt class="py-op">(</tt><tt class="py-base-class">GenericAPI</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="SongbirdAPI-collapsed" style="display:none;" pad="+++" indent="++++"></div><div id="SongbirdAPI-expanded"><a name="L19"></a><tt class="py-lineno"> 19</tt>  <tt class="py-line">        <tt id="link-2" class="py-name" targets="Variable screenlets.Screenlet.__name__=screenlets.Screenlet-class.html#__name__,Variable screenlets.ScreenletTheme.__name__=screenlets.ScreenletTheme-class.html#__name__,Variable screenlets.plugins.Amarok.AmarokAPI.__name__=screenlets.plugins.Amarok.AmarokAPI-class.html#__name__,Variable screenlets.plugins.Audacious.AudaciousAPI.__name__=screenlets.plugins.Audacious.AudaciousAPI-class.html#__name__,Variable screenlets.plugins.Banshee.BansheeAPI.__name__=screenlets.plugins.Banshee.BansheeAPI-class.html#__name__,Variable screenlets.plugins.BaseConverter.BaseConverter.__name__=screenlets.plugins.BaseConverter.BaseConverter-class.html#__name__,Variable screenlets.plugins.Convert.Converter.__name__=screenlets.plugins.Convert.Converter-class.html#__name__,Variable screenlets.plugins.Convert.RatioConverter.__name__=screenlets.plugins.Convert.RatioConverter-class.html#__name__,Variable screenlets.plugins.Exaile.ExaileAPI.__name__=screenlets.plugins.Exaile.ExaileAPI-class.html#__name__,Variable screenlets.plugins.GenericPlayer.GenericAPI.__name__=screenlets.plugins.GenericPlayer.GenericAPI-class.html#__name__,Variable screenlets.plugins.Juk.JukAPI.__name__=screenlets.plugins.Juk.JukAPI-class.html#__name__,Variable screenlets.plugins.Kaffeine.KaffeineAPI.__name__=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#__name__,Variable screenlets.plugins.LastFMProxy.LastFMProxyAPI.__name__=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#__name__,Variable screenlets.plugins.LengthConverter.LengthConverter.__name__=screenlets.plugins.LengthConverter.LengthConverter-class.html#__name__,Variable screenlets.plugins.Listen.ListenAPI.__name__=screenlets.plugins.Listen.ListenAPI-class.html#__name__,Variable screenlets.plugins.Quodlibet.QuodlibetAPI.__name__=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#__name__,Variable screenlets.plugins.Rhythmbox.RhythmboxAPI.__name__=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#__name__,Variable screenlets.plugins.SizeConverter.SizeConverter.__name__=screenlets.plugins.SizeConverter.SizeConverter-class.html#__name__,Variable screenlets.plugins.Sonata.SonataAPI.__name__=screenlets.plugins.Sonata.SonataAPI-class.html#__name__,Variable screenlets.plugins.Songbird.SongbirdAPI.__name__=screenlets.plugins.Songbird.SongbirdAPI-class.html#__name__,Variable screenlets.plugins.TemperatureConverter.TemperatureConverter.__name__=screenlets.plugins.TemperatureConverter.TemperatureConverter-class.html#__name__"><a title="screenlets.Screenlet.__name__
screenlets.ScreenletTheme.__name__
screenlets.plugins.Amarok.AmarokAPI.__name__
screenlets.plugins.Audacious.AudaciousAPI.__name__
screenlets.plugins.Banshee.BansheeAPI.__name__
screenlets.plugins.BaseConverter.BaseConverter.__name__
screenlets.plugins.Convert.Converter.__name__
screenlets.plugins.Convert.RatioConverter.__name__
screenlets.plugins.Exaile.ExaileAPI.__name__
screenlets.plugins.GenericPlayer.GenericAPI.__name__
screenlets.plugins.Juk.JukAPI.__name__
screenlets.plugins.Kaffeine.KaffeineAPI.__name__
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__name__
screenlets.plugins.LengthConverter.LengthConverter.__name__
screenlets.plugins.Listen.ListenAPI.__name__
screenlets.plugins.Quodlibet.QuodlibetAPI.__name__
screenlets.plugins.Rhythmbox.RhythmboxAPI.__name__
screenlets.plugins.SizeConverter.SizeConverter.__name__
screenlets.plugins.Sonata.SonataAPI.__name__
screenlets.plugins.Songbird.SongbirdAPI.__name__
screenlets.plugins.TemperatureConverter.TemperatureConverter.__name__" class="py-name" href="#" onclick="return doclink('link-2', '__name__', 'link-2');">__name__</a></tt> <tt class="py-op">=</tt> <tt class="py-string">'Songbird'</tt> </tt>
<a name="L20"></a><tt class="py-lineno"> 20</tt>  <tt class="py-line">        <tt id="link-3" class="py-name" targets="Variable screenlets.plugins.Amarok.AmarokAPI.__version__=screenlets.plugins.Amarok.AmarokAPI-class.html#__version__,Variable screenlets.plugins.Audacious.AudaciousAPI.__version__=screenlets.plugins.Audacious.AudaciousAPI-class.html#__version__,Variable screenlets.plugins.Banshee.BansheeAPI.__version__=screenlets.plugins.Banshee.BansheeAPI-class.html#__version__,Variable screenlets.plugins.Exaile.ExaileAPI.__version__=screenlets.plugins.Exaile.ExaileAPI-class.html#__version__,Variable screenlets.plugins.GenericPlayer.GenericAPI.__version__=screenlets.plugins.GenericPlayer.GenericAPI-class.html#__version__,Variable screenlets.plugins.Juk.JukAPI.__version__=screenlets.plugins.Juk.JukAPI-class.html#__version__,Variable screenlets.plugins.Kaffeine.KaffeineAPI.__version__=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#__version__,Variable screenlets.plugins.LastFMProxy.LastFMProxyAPI.__version__=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#__version__,Variable screenlets.plugins.Listen.ListenAPI.__version__=screenlets.plugins.Listen.ListenAPI-class.html#__version__,Variable screenlets.plugins.Quodlibet.QuodlibetAPI.__version__=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#__version__,Variable screenlets.plugins.Rhythmbox.RhythmboxAPI.__version__=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#__version__,Variable screenlets.plugins.Sonata.SonataAPI.__version__=screenlets.plugins.Sonata.SonataAPI-class.html#__version__,Variable screenlets.plugins.Songbird.SongbirdAPI.__version__=screenlets.plugins.Songbird.SongbirdAPI-class.html#__version__"><a title="screenlets.plugins.Amarok.AmarokAPI.__version__
screenlets.plugins.Audacious.AudaciousAPI.__version__
screenlets.plugins.Banshee.BansheeAPI.__version__
screenlets.plugins.Exaile.ExaileAPI.__version__
screenlets.plugins.GenericPlayer.GenericAPI.__version__
screenlets.plugins.Juk.JukAPI.__version__
screenlets.plugins.Kaffeine.KaffeineAPI.__version__
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__version__
screenlets.plugins.Listen.ListenAPI.__version__
screenlets.plugins.Quodlibet.QuodlibetAPI.__version__
screenlets.plugins.Rhythmbox.RhythmboxAPI.__version__
screenlets.plugins.Sonata.SonataAPI.__version__
screenlets.plugins.Songbird.SongbirdAPI.__version__" class="py-name" href="#" onclick="return doclink('link-3', '__version__', 'link-3');">__version__</a></tt> <tt class="py-op">=</tt> <tt class="py-string">'0.1'</tt> </tt>
<a name="L21"></a><tt class="py-lineno"> 21</tt>  <tt class="py-line">        <tt id="link-4" class="py-name" targets="Variable screenlets.plugins.Amarok.AmarokAPI.__author__=screenlets.plugins.Amarok.AmarokAPI-class.html#__author__,Variable screenlets.plugins.Audacious.AudaciousAPI.__author__=screenlets.plugins.Audacious.AudaciousAPI-class.html#__author__,Variable screenlets.plugins.Banshee.BansheeAPI.__author__=screenlets.plugins.Banshee.BansheeAPI-class.html#__author__,Variable screenlets.plugins.Exaile.ExaileAPI.__author__=screenlets.plugins.Exaile.ExaileAPI-class.html#__author__,Variable screenlets.plugins.GenericPlayer.GenericAPI.__author__=screenlets.plugins.GenericPlayer.GenericAPI-class.html#__author__,Variable screenlets.plugins.Juk.JukAPI.__author__=screenlets.plugins.Juk.JukAPI-class.html#__author__,Variable screenlets.plugins.Kaffeine.KaffeineAPI.__author__=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#__author__,Variable screenlets.plugins.LastFMProxy.LastFMProxyAPI.__author__=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#__author__,Variable screenlets.plugins.Listen.ListenAPI.__author__=screenlets.plugins.Listen.ListenAPI-class.html#__author__,Variable screenlets.plugins.Quodlibet.QuodlibetAPI.__author__=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#__author__,Variable screenlets.plugins.Rhythmbox.RhythmboxAPI.__author__=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#__author__,Variable screenlets.plugins.Sonata.SonataAPI.__author__=screenlets.plugins.Sonata.SonataAPI-class.html#__author__,Variable screenlets.plugins.Songbird.SongbirdAPI.__author__=screenlets.plugins.Songbird.SongbirdAPI-class.html#__author__"><a title="screenlets.plugins.Amarok.AmarokAPI.__author__
screenlets.plugins.Audacious.AudaciousAPI.__author__
screenlets.plugins.Banshee.BansheeAPI.__author__
screenlets.plugins.Exaile.ExaileAPI.__author__
screenlets.plugins.GenericPlayer.GenericAPI.__author__
screenlets.plugins.Juk.JukAPI.__author__
screenlets.plugins.Kaffeine.KaffeineAPI.__author__
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__author__
screenlets.plugins.Listen.ListenAPI.__author__
screenlets.plugins.Quodlibet.QuodlibetAPI.__author__
screenlets.plugins.Rhythmbox.RhythmboxAPI.__author__
screenlets.plugins.Sonata.SonataAPI.__author__
screenlets.plugins.Songbird.SongbirdAPI.__author__" class="py-name" href="#" onclick="return doclink('link-4', '__author__', 'link-4');">__author__</a></tt> <tt class="py-op">=</tt> <tt class="py-string">'Whise'</tt> </tt>
<a name="L22"></a><tt class="py-lineno"> 22</tt>  <tt class="py-line">        <tt id="link-5" class="py-name" targets="Variable screenlets.Screenlet.__desc__=screenlets.Screenlet-class.html#__desc__,Variable screenlets.plugins.Amarok.AmarokAPI.__desc__=screenlets.plugins.Amarok.AmarokAPI-class.html#__desc__,Variable screenlets.plugins.Audacious.AudaciousAPI.__desc__=screenlets.plugins.Audacious.AudaciousAPI-class.html#__desc__,Variable screenlets.plugins.Banshee.BansheeAPI.__desc__=screenlets.plugins.Banshee.BansheeAPI-class.html#__desc__,Variable screenlets.plugins.Exaile.ExaileAPI.__desc__=screenlets.plugins.Exaile.ExaileAPI-class.html#__desc__,Variable screenlets.plugins.GenericPlayer.GenericAPI.__desc__=screenlets.plugins.GenericPlayer.GenericAPI-class.html#__desc__,Variable screenlets.plugins.Juk.JukAPI.__desc__=screenlets.plugins.Juk.JukAPI-class.html#__desc__,Variable screenlets.plugins.Kaffeine.KaffeineAPI.__desc__=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#__desc__,Variable screenlets.plugins.LastFMProxy.LastFMProxyAPI.__desc__=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#__desc__,Variable screenlets.plugins.Listen.ListenAPI.__desc__=screenlets.plugins.Listen.ListenAPI-class.html#__desc__,Variable screenlets.plugins.Quodlibet.QuodlibetAPI.__desc__=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#__desc__,Variable screenlets.plugins.Rhythmbox.RhythmboxAPI.__desc__=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#__desc__,Variable screenlets.plugins.Sonata.SonataAPI.__desc__=screenlets.plugins.Sonata.SonataAPI-class.html#__desc__,Variable screenlets.plugins.Songbird.SongbirdAPI.__desc__=screenlets.plugins.Songbird.SongbirdAPI-class.html#__desc__"><a title="screenlets.Screenlet.__desc__
screenlets.plugins.Amarok.AmarokAPI.__desc__
screenlets.plugins.Audacious.AudaciousAPI.__desc__
screenlets.plugins.Banshee.BansheeAPI.__desc__
screenlets.plugins.Exaile.ExaileAPI.__desc__
screenlets.plugins.GenericPlayer.GenericAPI.__desc__
screenlets.plugins.Juk.JukAPI.__desc__
screenlets.plugins.Kaffeine.KaffeineAPI.__desc__
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__desc__
screenlets.plugins.Listen.ListenAPI.__desc__
screenlets.plugins.Quodlibet.QuodlibetAPI.__desc__
screenlets.plugins.Rhythmbox.RhythmboxAPI.__desc__
screenlets.plugins.Sonata.SonataAPI.__desc__
screenlets.plugins.Songbird.SongbirdAPI.__desc__" class="py-name" href="#" onclick="return doclink('link-5', '__desc__', 'link-5');">__desc__</a></tt> <tt class="py-op">=</tt> <tt class="py-string">'API to the Songbird Music Player'</tt> </tt>
<a name="L23"></a><tt class="py-lineno"> 23</tt>  <tt class="py-line"> </tt>
<a name="L24"></a><tt class="py-lineno"> 24</tt>  <tt class="py-line">        <tt id="link-6" class="py-name" targets="Variable screenlets.plugins.Banshee.BansheeAPI.ns=screenlets.plugins.Banshee.BansheeAPI-class.html#ns,Variable screenlets.plugins.Exaile.ExaileAPI.ns=screenlets.plugins.Exaile.ExaileAPI-class.html#ns,Variable screenlets.plugins.Listen.ListenAPI.ns=screenlets.plugins.Listen.ListenAPI-class.html#ns,Variable screenlets.plugins.Quodlibet.QuodlibetAPI.ns=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#ns,Variable screenlets.plugins.Rhythmbox.RhythmboxAPI.ns=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#ns,Variable screenlets.plugins.Sonata.SonataAPI.ns=screenlets.plugins.Sonata.SonataAPI-class.html#ns,Variable screenlets.plugins.Songbird.SongbirdAPI.ns=screenlets.plugins.Songbird.SongbirdAPI-class.html#ns"><a title="screenlets.plugins.Banshee.BansheeAPI.ns
screenlets.plugins.Exaile.ExaileAPI.ns
screenlets.plugins.Listen.ListenAPI.ns
screenlets.plugins.Quodlibet.QuodlibetAPI.ns
screenlets.plugins.Rhythmbox.RhythmboxAPI.ns
screenlets.plugins.Sonata.SonataAPI.ns
screenlets.plugins.Songbird.SongbirdAPI.ns" class="py-name" href="#" onclick="return doclink('link-6', 'ns', 'link-6');">ns</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"org.mozilla.songbird"</tt> </tt>
<a name="L25"></a><tt class="py-lineno"> 25</tt>  <tt class="py-line">        <tt id="link-7" class="py-name" targets="Variable screenlets.plugins.Amarok.AmarokAPI.playerAPI=screenlets.plugins.Amarok.AmarokAPI-class.html#playerAPI,Variable screenlets.plugins.Audacious.AudaciousAPI.playerAPI=screenlets.plugins.Audacious.AudaciousAPI-class.html#playerAPI,Variable screenlets.plugins.Banshee.BansheeAPI.playerAPI=screenlets.plugins.Banshee.BansheeAPI-class.html#playerAPI,Variable screenlets.plugins.Exaile.ExaileAPI.playerAPI=screenlets.plugins.Exaile.ExaileAPI-class.html#playerAPI,Variable screenlets.plugins.Juk.JukAPI.playerAPI=screenlets.plugins.Juk.JukAPI-class.html#playerAPI,Variable screenlets.plugins.Kaffeine.KaffeineAPI.playerAPI=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#playerAPI,Variable screenlets.plugins.LastFMProxy.LastFMProxyAPI.playerAPI=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#playerAPI,Variable screenlets.plugins.Listen.ListenAPI.playerAPI=screenlets.plugins.Listen.ListenAPI-class.html#playerAPI,Variable screenlets.plugins.Quodlibet.QuodlibetAPI.playerAPI=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#playerAPI,Variable screenlets.plugins.Rhythmbox.RhythmboxAPI.playerAPI=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#playerAPI,Variable screenlets.plugins.Sonata.SonataAPI.playerAPI=screenlets.plugins.Sonata.SonataAPI-class.html#playerAPI,Variable screenlets.plugins.Songbird.SongbirdAPI.playerAPI=screenlets.plugins.Songbird.SongbirdAPI-class.html#playerAPI"><a title="screenlets.plugins.Amarok.AmarokAPI.playerAPI
screenlets.plugins.Audacious.AudaciousAPI.playerAPI
screenlets.plugins.Banshee.BansheeAPI.playerAPI
screenlets.plugins.Exaile.ExaileAPI.playerAPI
screenlets.plugins.Juk.JukAPI.playerAPI
screenlets.plugins.Kaffeine.KaffeineAPI.playerAPI
screenlets.plugins.LastFMProxy.LastFMProxyAPI.playerAPI
screenlets.plugins.Listen.ListenAPI.playerAPI
screenlets.plugins.Quodlibet.QuodlibetAPI.playerAPI
screenlets.plugins.Rhythmbox.RhythmboxAPI.playerAPI
screenlets.plugins.Sonata.SonataAPI.playerAPI
screenlets.plugins.Songbird.SongbirdAPI.playerAPI" class="py-name" href="#" onclick="return doclink('link-7', 'playerAPI', 'link-7');">playerAPI</a></tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt> </tt>
<a name="L26"></a><tt class="py-lineno"> 26</tt>  <tt class="py-line">        <tt id="link-8" class="py-name" targets="Variable screenlets.plugins.Quodlibet.QuodlibetAPI.shellAPI=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#shellAPI,Variable screenlets.plugins.Rhythmbox.RhythmboxAPI.shellAPI=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#shellAPI,Variable screenlets.plugins.Songbird.SongbirdAPI.shellAPI=screenlets.plugins.Songbird.SongbirdAPI-class.html#shellAPI"><a title="screenlets.plugins.Quodlibet.QuodlibetAPI.shellAPI
screenlets.plugins.Rhythmbox.RhythmboxAPI.shellAPI
screenlets.plugins.Songbird.SongbirdAPI.shellAPI" class="py-name" href="#" onclick="return doclink('link-8', 'shellAPI', 'link-8');">shellAPI</a></tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt> </tt>
<a name="L27"></a><tt class="py-lineno"> 27</tt>  <tt class="py-line"> </tt>
<a name="L28"></a><tt class="py-lineno"> 28</tt>  <tt class="py-line">        <tt id="link-9" class="py-name" targets="Variable screenlets.plugins.CoverSearch.CoverSearch.callback_fn=screenlets.plugins.CoverSearch.CoverSearch-class.html#callback_fn,Variable screenlets.plugins.Quodlibet.QuodlibetAPI.callback_fn=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#callback_fn,Variable screenlets.plugins.Rhythmbox.RhythmboxAPI.callback_fn=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#callback_fn,Variable screenlets.plugins.Songbird.SongbirdAPI.callback_fn=screenlets.plugins.Songbird.SongbirdAPI-class.html#callback_fn"><a title="screenlets.plugins.CoverSearch.CoverSearch.callback_fn
screenlets.plugins.Quodlibet.QuodlibetAPI.callback_fn
screenlets.plugins.Rhythmbox.RhythmboxAPI.callback_fn
screenlets.plugins.Songbird.SongbirdAPI.callback_fn" class="py-name" href="#" onclick="return doclink('link-9', 'callback_fn', 'link-9');">callback_fn</a></tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt> </tt>
<a name="L29"></a><tt class="py-lineno"> 29</tt>  <tt class="py-line"> </tt>
<a name="L30"></a><tt class="py-lineno"> 30</tt>  <tt class="py-line">        <tt class="py-comment"># Extended Functions from the GenericAPI</tt> </tt>
<a name="L31"></a><tt class="py-lineno"> 31</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="SongbirdAPI.__init__"></a><div id="SongbirdAPI.__init__-def"><a name="L32"></a><tt class="py-lineno"> 32</tt> <a class="py-toggle" href="#" id="SongbirdAPI.__init__-toggle" onclick="return toggle('SongbirdAPI.__init__');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Songbird.SongbirdAPI-class.html#__init__">__init__</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">session_bus</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="SongbirdAPI.__init__-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="SongbirdAPI.__init__-expanded"><a name="L33"></a><tt class="py-lineno"> 33</tt>  <tt class="py-line">                <tt id="link-10" class="py-name"><a title="screenlets.plugins.GenericPlayer.GenericAPI" class="py-name" href="#" onclick="return doclink('link-10', 'GenericAPI', 'link-1');">GenericAPI</a></tt><tt class="py-op">.</tt><tt id="link-11" class="py-name" targets="Method screenlets.Notify.__init__()=screenlets.Notify-class.html#__init__,Method screenlets.Screenlet.__init__()=screenlets.Screenlet-class.html#__init__,Method screenlets.ScreenletTheme.__init__()=screenlets.ScreenletTheme-class.html#__init__,Method screenlets.ShapedWidget.__init__()=screenlets.ShapedWidget-class.html#__init__,Method screenlets.Tooltip.__init__()=screenlets.Tooltip-class.html#__init__,Method screenlets.backend.CachingBackend.__init__()=screenlets.backend.CachingBackend-class.html#__init__,Method screenlets.backend.GconfBackend.__init__()=screenlets.backend.GconfBackend-class.html#__init__,Method screenlets.backend.ScreenletsBackend.__init__()=screenlets.backend.ScreenletsBackend-class.html#__init__,Method screenlets.install.ScreenletInstaller.__init__()=screenlets.install.ScreenletInstaller-class.html#__init__,Method screenlets.menu.ApplicationMenu.__init__()=screenlets.menu.ApplicationMenu-class.html#__init__,Method screenlets.menu.ImageMenuItem.__init__()=screenlets.menu.ImageMenuItem-class.html#__init__,Method screenlets.options.AccountOption.__init__()=screenlets.options.AccountOption-class.html#__init__,Method screenlets.options.EditableOptions.__init__()=screenlets.options.EditableOptions-class.html#__init__,Method screenlets.options.FileOption.__init__()=screenlets.options.FileOption-class.html#__init__,Method screenlets.options.FloatOption.__init__()=screenlets.options.FloatOption-class.html#__init__,Method screenlets.options.IntOption.__init__()=screenlets.options.IntOption-class.html#__init__,Method screenlets.options.ListOptionDialog.__init__()=screenlets.options.ListOptionDialog-class.html#__init__,Method screenlets.options.Option.__init__()=screenlets.options.Option-class.html#__init__,Method screenlets.options.OptionsDialog.__init__()=screenlets.options.OptionsDialog-class.html#__init__,Method screenlets.options.StringOption.__init__()=screenlets.options.StringOption-class.html#__init__,Method screenlets.plugins.Amarok.AmarokAPI.__init__()=screenlets.plugins.Amarok.AmarokAPI-class.html#__init__,Method screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch.__init__()=screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch-class.html#__init__,Method screenlets.plugins.Audacious.AudaciousAPI.__init__()=screenlets.plugins.Audacious.AudaciousAPI-class.html#__init__,Method screenlets.plugins.Banshee.BansheeAPI.__init__()=screenlets.plugins.Banshee.BansheeAPI-class.html#__init__,Method screenlets.plugins.Convert.Converter.__init__()=screenlets.plugins.Convert.Converter-class.html#__init__,Method screenlets.plugins.CoverSearch.CoverSearch.__init__()=screenlets.plugins.CoverSearch.CoverSearch-class.html#__init__,Method screenlets.plugins.Exaile.ExaileAPI.__init__()=screenlets.plugins.Exaile.ExaileAPI-class.html#__init__,Method screenlets.plugins.Flickr.Flickr.__init__()=screenlets.plugins.Flickr.Flickr-class.html#__init__,Method screenlets.plugins.GenericPlayer.GenericAPI.__init__()=screenlets.plugins.GenericPlayer.GenericAPI-class.html#__init__,Method screenlets.plugins.Gstreamer.gstreamer.__init__()=screenlets.plugins.Gstreamer.gstreamer-class.html#__init__,Method screenlets.plugins.Juk.JukAPI.__init__()=screenlets.plugins.Juk.JukAPI-class.html#__init__,Method screenlets.plugins.Kaffeine.KaffeineAPI.__init__()=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#__init__,Method screenlets.plugins.LastFMProxy.LastFMProxyAPI.__init__()=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#__init__,Method screenlets.plugins.Listen.ListenAPI.__init__()=screenlets.plugins.Listen.ListenAPI-class.html#__init__,Method screenlets.plugins.Loader.GnomeVFSAsyncSrc.__init__()=screenlets.plugins.Loader.GnomeVFSAsyncSrc-class.html#__init__,Method screenlets.plugins.Mail.IMAPBackend.__init__()=screenlets.plugins.Mail.IMAPBackend-class.html#__init__,Method screenlets.plugins.Mail.MailCheckBackend.__init__()=screenlets.plugins.Mail.MailCheckBackend-class.html#__init__,Method screenlets.plugins.Mail.Mailer.__init__()=screenlets.plugins.Mail.Mailer-class.html#__init__,Method screenlets.plugins.Mail.POP3Backend.__init__()=screenlets.plugins.Mail.POP3Backend-class.html#__init__,Method screenlets.plugins.Mplayer.Mplayer.__init__()=screenlets.plugins.Mplayer.Mplayer-class.html#__init__,Method screenlets.plugins.Proxy.Proxy.__init__()=screenlets.plugins.Proxy.Proxy-class.html#__init__,Method screenlets.plugins.Quodlibet.QuodlibetAPI.__init__()=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#__init__,Method screenlets.plugins.Rhythmbox.RhythmboxAPI.__init__()=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#__init__,Method screenlets.plugins.Sonata.SonataAPI.__init__()=screenlets.plugins.Sonata.SonataAPI-class.html#__init__,Method screenlets.plugins.Songbird.SongbirdAPI.__init__()=screenlets.plugins.Songbird.SongbirdAPI-class.html#__init__,Method screenlets.plugins.TemperatureConverter.TemperatureConverter.__init__()=screenlets.plugins.TemperatureConverter.TemperatureConverter-class.html#__init__,Method screenlets.plugins.iCal.DateSet.__init__()=screenlets.plugins.iCal.DateSet-class.html#__init__,Method screenlets.plugins.iCal.ICalEvent.__init__()=screenlets.plugins.iCal.ICalEvent-class.html#__init__,Method screenlets.plugins.iCal.ICalReader.__init__()=screenlets.plugins.iCal.ICalReader-class.html#__init__,Method screenlets.plugins.keyring.KeyRing.Key.__init__()=screenlets.plugins.keyring.KeyRing.Key-class.html#__init__,Method screenlets.plugins.keyring.KeyRing.__init__()=screenlets.plugins.keyring.KeyRing-class.html#__init__,Method screenlets.plugins.mail.IMAPBackend.__init__()=screenlets.plugins.mail.IMAPBackend-class.html#__init__,Method screenlets.plugins.mail.MailCheckBackend.__init__()=screenlets.plugins.mail.MailCheckBackend-class.html#__init__,Method screenlets.plugins.mail.Mailer.__init__()=screenlets.plugins.mail.Mailer-class.html#__init__,Method screenlets.plugins.mail.POP3Backend.__init__()=screenlets.plugins.mail.POP3Backend-class.html#__init__,Method screenlets.plugins.mpdclient2.command_sender.__init__()=screenlets.plugins.mpdclient2.command_sender-class.html#__init__,Method screenlets.plugins.mpdclient2.mpd_connection.__init__()=screenlets.plugins.mpdclient2.mpd_connection-class.html#__init__,Method screenlets.plugins.mpdclient2.response_fetcher.__init__()=screenlets.plugins.mpdclient2.response_fetcher-class.html#__init__,Method screenlets.plugins.mpdclient2.sender_n_fetcher.__init__()=screenlets.plugins.mpdclient2.sender_n_fetcher-class.html#__init__,Method screenlets.plugins.mpdclient2.socket_talker.__init__()=screenlets.plugins.mpdclient2.socket_talker-class.html#__init__,Method screenlets.sensors.CPUSensor.__init__()=screenlets.sensors.CPUSensor-class.html#__init__,Method screenlets.sensors.MemorySensor.__init__()=screenlets.sensors.MemorySensor-class.html#__init__,Method screenlets.sensors.NetSensor.__init__()=screenlets.sensors.NetSensor-class.html#__init__,Method screenlets.sensors.Sensor.__init__()=screenlets.sensors.Sensor-class.html#__init__,Method screenlets.services.ScreenletService.__init__()=screenlets.services.ScreenletService-class.html#__init__,Method screenlets.session.ScreenletSession.__init__()=screenlets.session.ScreenletSession-class.html#__init__,Method screenlets.utils.FileMonitor.__init__()=screenlets.utils.FileMonitor-class.html#__init__,Method screenlets.utils.IniReader.__init__()=screenlets.utils.IniReader-class.html#__init__,Method screenlets.utils.Notifier.__init__()=screenlets.utils.Notifier-class.html#__init__,Method screenlets.utils.ScreenletInfo.__init__()=screenlets.utils.ScreenletInfo-class.html#__init__"><a title="screenlets.Notify.__init__
screenlets.Screenlet.__init__
screenlets.ScreenletTheme.__init__
screenlets.ShapedWidget.__init__
screenlets.Tooltip.__init__
screenlets.backend.CachingBackend.__init__
screenlets.backend.GconfBackend.__init__
screenlets.backend.ScreenletsBackend.__init__
screenlets.install.ScreenletInstaller.__init__
screenlets.menu.ApplicationMenu.__init__
screenlets.menu.ImageMenuItem.__init__
screenlets.options.AccountOption.__init__
screenlets.options.EditableOptions.__init__
screenlets.options.FileOption.__init__
screenlets.options.FloatOption.__init__
screenlets.options.IntOption.__init__
screenlets.options.ListOptionDialog.__init__
screenlets.options.Option.__init__
screenlets.options.OptionsDialog.__init__
screenlets.options.StringOption.__init__
screenlets.plugins.Amarok.AmarokAPI.__init__
screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch.__init__
screenlets.plugins.Audacious.AudaciousAPI.__init__
screenlets.plugins.Banshee.BansheeAPI.__init__
screenlets.plugins.Convert.Converter.__init__
screenlets.plugins.CoverSearch.CoverSearch.__init__
screenlets.plugins.Exaile.ExaileAPI.__init__
screenlets.plugins.Flickr.Flickr.__init__
screenlets.plugins.GenericPlayer.GenericAPI.__init__
screenlets.plugins.Gstreamer.gstreamer.__init__
screenlets.plugins.Juk.JukAPI.__init__
screenlets.plugins.Kaffeine.KaffeineAPI.__init__
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__init__
screenlets.plugins.Listen.ListenAPI.__init__
screenlets.plugins.Loader.GnomeVFSAsyncSrc.__init__
screenlets.plugins.Mail.IMAPBackend.__init__
screenlets.plugins.Mail.MailCheckBackend.__init__
screenlets.plugins.Mail.Mailer.__init__
screenlets.plugins.Mail.POP3Backend.__init__
screenlets.plugins.Mplayer.Mplayer.__init__
screenlets.plugins.Proxy.Proxy.__init__
screenlets.plugins.Quodlibet.QuodlibetAPI.__init__
screenlets.plugins.Rhythmbox.RhythmboxAPI.__init__
screenlets.plugins.Sonata.SonataAPI.__init__
screenlets.plugins.Songbird.SongbirdAPI.__init__
screenlets.plugins.TemperatureConverter.TemperatureConverter.__init__
screenlets.plugins.iCal.DateSet.__init__
screenlets.plugins.iCal.ICalEvent.__init__
screenlets.plugins.iCal.ICalReader.__init__
screenlets.plugins.keyring.KeyRing.Key.__init__
screenlets.plugins.keyring.KeyRing.__init__
screenlets.plugins.mail.IMAPBackend.__init__
screenlets.plugins.mail.MailCheckBackend.__init__
screenlets.plugins.mail.Mailer.__init__
screenlets.plugins.mail.POP3Backend.__init__
screenlets.plugins.mpdclient2.command_sender.__init__
screenlets.plugins.mpdclient2.mpd_connection.__init__
screenlets.plugins.mpdclient2.response_fetcher.__init__
screenlets.plugins.mpdclient2.sender_n_fetcher.__init__
screenlets.plugins.mpdclient2.socket_talker.__init__
screenlets.sensors.CPUSensor.__init__
screenlets.sensors.MemorySensor.__init__
screenlets.sensors.NetSensor.__init__
screenlets.sensors.Sensor.__init__
screenlets.services.ScreenletService.__init__
screenlets.session.ScreenletSession.__init__
screenlets.utils.FileMonitor.__init__
screenlets.utils.IniReader.__init__
screenlets.utils.Notifier.__init__
screenlets.utils.ScreenletInfo.__init__" class="py-name" href="#" onclick="return doclink('link-11', '__init__', 'link-11');">__init__</a></tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">,</tt> <tt id="link-12" class="py-name" targets="Variable screenlets.plugins.GenericPlayer.GenericAPI.session_bus=screenlets.plugins.GenericPlayer.GenericAPI-class.html#session_bus"><a title="screenlets.plugins.GenericPlayer.GenericAPI.session_bus" class="py-name" href="#" onclick="return doclink('link-12', 'session_bus', 'link-12');">session_bus</a></tt><tt class="py-op">)</tt> </tt>
</div><a name="L34"></a><tt class="py-lineno"> 34</tt>  <tt class="py-line"> </tt>
<a name="SongbirdAPI.is_active"></a><div id="SongbirdAPI.is_active-def"><a name="L35"></a><tt class="py-lineno"> 35</tt> <a class="py-toggle" href="#" id="SongbirdAPI.is_active-toggle" onclick="return toggle('SongbirdAPI.is_active');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Songbird.SongbirdAPI-class.html#is_active">is_active</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">dbus_iface</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="SongbirdAPI.is_active-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="SongbirdAPI.is_active-expanded"><a name="L36"></a><tt class="py-lineno"> 36</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-13" class="py-name"><a title="screenlets.plugins.Banshee.BansheeAPI.ns
screenlets.plugins.Exaile.ExaileAPI.ns
screenlets.plugins.Listen.ListenAPI.ns
screenlets.plugins.Quodlibet.QuodlibetAPI.ns
screenlets.plugins.Rhythmbox.RhythmboxAPI.ns
screenlets.plugins.Sonata.SonataAPI.ns
screenlets.plugins.Songbird.SongbirdAPI.ns" class="py-name" href="#" onclick="return doclink('link-13', 'ns', 'link-6');">ns</a></tt> <tt class="py-keyword">in</tt> <tt class="py-name">dbus_iface</tt><tt class="py-op">.</tt><tt class="py-name">ListNames</tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> <tt class="py-keyword">return</tt> <tt class="py-name">True</tt> </tt>
<a name="L37"></a><tt class="py-lineno"> 37</tt>  <tt class="py-line">                <tt class="py-keyword">else</tt><tt class="py-op">:</tt> <tt class="py-keyword">return</tt> <tt class="py-name">False</tt> </tt>
</div><a name="L38"></a><tt class="py-lineno"> 38</tt>  <tt class="py-line"> </tt>
<a name="SongbirdAPI.connect"></a><div id="SongbirdAPI.connect-def"><a name="L39"></a><tt class="py-lineno"> 39</tt> <a class="py-toggle" href="#" id="SongbirdAPI.connect-toggle" onclick="return toggle('SongbirdAPI.connect');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Songbird.SongbirdAPI-class.html#connect">connect</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="SongbirdAPI.connect-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="SongbirdAPI.connect-expanded"><a name="L40"></a><tt class="py-lineno"> 40</tt>  <tt class="py-line">                <tt class="py-name">proxy_obj1</tt> <tt class="py-op">=</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-14" class="py-name"><a title="screenlets.plugins.GenericPlayer.GenericAPI.session_bus" class="py-name" href="#" onclick="return doclink('link-14', 'session_bus', 'link-12');">session_bus</a></tt><tt class="py-op">.</tt><tt class="py-name">get_object</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-15" class="py-name"><a title="screenlets.plugins.Banshee.BansheeAPI.ns
screenlets.plugins.Exaile.ExaileAPI.ns
screenlets.plugins.Listen.ListenAPI.ns
screenlets.plugins.Quodlibet.QuodlibetAPI.ns
screenlets.plugins.Rhythmbox.RhythmboxAPI.ns
screenlets.plugins.Sonata.SonataAPI.ns
screenlets.plugins.Songbird.SongbirdAPI.ns" class="py-name" href="#" onclick="return doclink('link-15', 'ns', 'link-6');">ns</a></tt><tt class="py-op">,</tt> <tt class="py-string">'/org/mozilla/songbird'</tt><tt class="py-op">)</tt> </tt>
<a name="L41"></a><tt class="py-lineno"> 41</tt>  <tt class="py-line">        <tt class="py-comment">#       proxy_obj2 = self.session_bus.get_object(self.ns, '/org/gnome/Rhythmbox/Shell')</tt> </tt>
<a name="L42"></a><tt class="py-lineno"> 42</tt>  <tt class="py-line"><tt class="py-comment"></tt>                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-16" class="py-name"><a title="screenlets.plugins.Amarok.AmarokAPI.playerAPI
screenlets.plugins.Audacious.AudaciousAPI.playerAPI
screenlets.plugins.Banshee.BansheeAPI.playerAPI
screenlets.plugins.Exaile.ExaileAPI.playerAPI
screenlets.plugins.Juk.JukAPI.playerAPI
screenlets.plugins.Kaffeine.KaffeineAPI.playerAPI
screenlets.plugins.LastFMProxy.LastFMProxyAPI.playerAPI
screenlets.plugins.Listen.ListenAPI.playerAPI
screenlets.plugins.Quodlibet.QuodlibetAPI.playerAPI
screenlets.plugins.Rhythmbox.RhythmboxAPI.playerAPI
screenlets.plugins.Sonata.SonataAPI.playerAPI
screenlets.plugins.Songbird.SongbirdAPI.playerAPI" class="py-name" href="#" onclick="return doclink('link-16', 'playerAPI', 'link-7');">playerAPI</a></tt> <tt class="py-op">=</tt> <tt class="py-name">dbus</tt><tt class="py-op">.</tt><tt class="py-name">Interface</tt><tt class="py-op">(</tt><tt class="py-name">proxy_obj1</tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-17" class="py-name"><a title="screenlets.plugins.Banshee.BansheeAPI.ns
screenlets.plugins.Exaile.ExaileAPI.ns
screenlets.plugins.Listen.ListenAPI.ns
screenlets.plugins.Quodlibet.QuodlibetAPI.ns
screenlets.plugins.Rhythmbox.RhythmboxAPI.ns
screenlets.plugins.Sonata.SonataAPI.ns
screenlets.plugins.Songbird.SongbirdAPI.ns" class="py-name" href="#" onclick="return doclink('link-17', 'ns', 'link-6');">ns</a></tt><tt class="py-op">)</tt> </tt>
<a name="L43"></a><tt class="py-lineno"> 43</tt>  <tt class="py-line">                <tt class="py-comment">#self.shellAPI = dbus.Interface(proxy_obj2, self.ns+".Shell")</tt> </tt>
<a name="L44"></a><tt class="py-lineno"> 44</tt>  <tt class="py-line"><tt class="py-comment"></tt>                <tt class="py-keyword">print</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-18" class="py-name"><a title="screenlets.plugins.Amarok.AmarokAPI.playerAPI
screenlets.plugins.Audacious.AudaciousAPI.playerAPI
screenlets.plugins.Banshee.BansheeAPI.playerAPI
screenlets.plugins.Exaile.ExaileAPI.playerAPI
screenlets.plugins.Juk.JukAPI.playerAPI
screenlets.plugins.Kaffeine.KaffeineAPI.playerAPI
screenlets.plugins.LastFMProxy.LastFMProxyAPI.playerAPI
screenlets.plugins.Listen.ListenAPI.playerAPI
screenlets.plugins.Quodlibet.QuodlibetAPI.playerAPI
screenlets.plugins.Rhythmbox.RhythmboxAPI.playerAPI
screenlets.plugins.Sonata.SonataAPI.playerAPI
screenlets.plugins.Songbird.SongbirdAPI.playerAPI" class="py-name" href="#" onclick="return doclink('link-18', 'playerAPI', 'link-7');">playerAPI</a></tt><tt class="py-op">.</tt><tt class="py-name">getStatus</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
</div><a name="SongbirdAPI.get_title"></a><div id="SongbirdAPI.get_title-def"><a name="L45"></a><tt class="py-lineno"> 45</tt> <a class="py-toggle" href="#" id="SongbirdAPI.get_title-toggle" onclick="return toggle('SongbirdAPI.get_title');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Songbird.SongbirdAPI-class.html#get_title">get_title</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="SongbirdAPI.get_title-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="SongbirdAPI.get_title-expanded"><a name="L46"></a><tt class="py-lineno"> 46</tt>  <tt class="py-line">                <tt class="py-keyword">try</tt><tt class="py-op">:</tt> </tt>
<a name="L47"></a><tt class="py-lineno"> 47</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-19" class="py-name"><a title="screenlets.plugins.Amarok.AmarokAPI.playerAPI
screenlets.plugins.Audacious.AudaciousAPI.playerAPI
screenlets.plugins.Banshee.BansheeAPI.playerAPI
screenlets.plugins.Exaile.ExaileAPI.playerAPI
screenlets.plugins.Juk.JukAPI.playerAPI
screenlets.plugins.Kaffeine.KaffeineAPI.playerAPI
screenlets.plugins.LastFMProxy.LastFMProxyAPI.playerAPI
screenlets.plugins.Listen.ListenAPI.playerAPI
screenlets.plugins.Quodlibet.QuodlibetAPI.playerAPI
screenlets.plugins.Rhythmbox.RhythmboxAPI.playerAPI
screenlets.plugins.Sonata.SonataAPI.playerAPI
screenlets.plugins.Songbird.SongbirdAPI.playerAPI" class="py-name" href="#" onclick="return doclink('link-19', 'playerAPI', 'link-7');">playerAPI</a></tt><tt class="py-op">.</tt><tt class="py-name">getTitle</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L48"></a><tt class="py-lineno"> 48</tt>  <tt class="py-line">                <tt class="py-keyword">except</tt><tt class="py-op">:</tt> </tt>
<a name="L49"></a><tt class="py-lineno"> 49</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-string">''</tt> </tt>
</div><a name="SongbirdAPI.get_album"></a><div id="SongbirdAPI.get_album-def"><a name="L50"></a><tt class="py-lineno"> 50</tt> <a class="py-toggle" href="#" id="SongbirdAPI.get_album-toggle" onclick="return toggle('SongbirdAPI.get_album');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Songbird.SongbirdAPI-class.html#get_album">get_album</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="SongbirdAPI.get_album-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="SongbirdAPI.get_album-expanded"><a name="L51"></a><tt class="py-lineno"> 51</tt>  <tt class="py-line">                <tt class="py-keyword">try</tt><tt class="py-op">:</tt> </tt>
<a name="L52"></a><tt class="py-lineno"> 52</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-20" class="py-name"><a title="screenlets.plugins.Amarok.AmarokAPI.playerAPI
screenlets.plugins.Audacious.AudaciousAPI.playerAPI
screenlets.plugins.Banshee.BansheeAPI.playerAPI
screenlets.plugins.Exaile.ExaileAPI.playerAPI
screenlets.plugins.Juk.JukAPI.playerAPI
screenlets.plugins.Kaffeine.KaffeineAPI.playerAPI
screenlets.plugins.LastFMProxy.LastFMProxyAPI.playerAPI
screenlets.plugins.Listen.ListenAPI.playerAPI
screenlets.plugins.Quodlibet.QuodlibetAPI.playerAPI
screenlets.plugins.Rhythmbox.RhythmboxAPI.playerAPI
screenlets.plugins.Sonata.SonataAPI.playerAPI
screenlets.plugins.Songbird.SongbirdAPI.playerAPI" class="py-name" href="#" onclick="return doclink('link-20', 'playerAPI', 'link-7');">playerAPI</a></tt><tt class="py-op">.</tt><tt class="py-name">getAlbum</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L53"></a><tt class="py-lineno"> 53</tt>  <tt class="py-line">                <tt class="py-keyword">except</tt><tt class="py-op">:</tt> </tt>
<a name="L54"></a><tt class="py-lineno"> 54</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-string">''</tt> </tt>
</div><a name="L55"></a><tt class="py-lineno"> 55</tt>  <tt class="py-line"> </tt>
<a name="SongbirdAPI.get_artist"></a><div id="SongbirdAPI.get_artist-def"><a name="L56"></a><tt class="py-lineno"> 56</tt> <a class="py-toggle" href="#" id="SongbirdAPI.get_artist-toggle" onclick="return toggle('SongbirdAPI.get_artist');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Songbird.SongbirdAPI-class.html#get_artist">get_artist</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="SongbirdAPI.get_artist-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="SongbirdAPI.get_artist-expanded"><a name="L57"></a><tt class="py-lineno"> 57</tt>  <tt class="py-line">                <tt class="py-keyword">try</tt><tt class="py-op">:</tt> </tt>
<a name="L58"></a><tt class="py-lineno"> 58</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-21" class="py-name"><a title="screenlets.plugins.Amarok.AmarokAPI.playerAPI
screenlets.plugins.Audacious.AudaciousAPI.playerAPI
screenlets.plugins.Banshee.BansheeAPI.playerAPI
screenlets.plugins.Exaile.ExaileAPI.playerAPI
screenlets.plugins.Juk.JukAPI.playerAPI
screenlets.plugins.Kaffeine.KaffeineAPI.playerAPI
screenlets.plugins.LastFMProxy.LastFMProxyAPI.playerAPI
screenlets.plugins.Listen.ListenAPI.playerAPI
screenlets.plugins.Quodlibet.QuodlibetAPI.playerAPI
screenlets.plugins.Rhythmbox.RhythmboxAPI.playerAPI
screenlets.plugins.Sonata.SonataAPI.playerAPI
screenlets.plugins.Songbird.SongbirdAPI.playerAPI" class="py-name" href="#" onclick="return doclink('link-21', 'playerAPI', 'link-7');">playerAPI</a></tt><tt class="py-op">.</tt><tt class="py-name">getArtist</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L59"></a><tt class="py-lineno"> 59</tt>  <tt class="py-line">                <tt class="py-keyword">except</tt><tt class="py-op">:</tt> </tt>
<a name="L60"></a><tt class="py-lineno"> 60</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-string">''</tt> </tt>
</div><a name="L61"></a><tt class="py-lineno"> 61</tt>  <tt class="py-line"> </tt>
<a name="L62"></a><tt class="py-lineno"> 62</tt>  <tt class="py-line">        <tt class="py-comment"># **MUST HAVE** the "COVER ART" Plugin enabled</tt> </tt>
<a name="L63"></a><tt class="py-lineno"> 63</tt>  <tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-comment"># (or the "Art Display-Awn" Plugin)</tt> </tt>
<a name="L64"></a><tt class="py-lineno"> 64</tt>  <tt class="py-line"><tt class="py-comment"></tt>         </tt>
<a name="SongbirdAPI.get_cover_path"></a><div id="SongbirdAPI.get_cover_path-def"><a name="L65"></a><tt class="py-lineno"> 65</tt> <a class="py-toggle" href="#" id="SongbirdAPI.get_cover_path-toggle" onclick="return toggle('SongbirdAPI.get_cover_path');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Songbird.SongbirdAPI-class.html#get_cover_path">get_cover_path</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="SongbirdAPI.get_cover_path-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="SongbirdAPI.get_cover_path-expanded"><a name="L66"></a><tt class="py-lineno"> 66</tt>  <tt class="py-line">                <tt class="py-comment"># Return the Expected Path (will be ignored by NowPlaying if it doesn't</tt> </tt>
<a name="L67"></a><tt class="py-lineno"> 67</tt>  <tt class="py-line"><tt class="py-comment"></tt>                <tt class="py-comment"># exist</tt> </tt>
<a name="L68"></a><tt class="py-lineno"> 68</tt>  <tt class="py-line"><tt class="py-comment"></tt>                <tt class="py-name">coverFile</tt> <tt class="py-op">=</tt> <tt class="py-name">os</tt><tt class="py-op">.</tt><tt class="py-name">environ</tt><tt class="py-op">[</tt><tt class="py-string">"HOME"</tt><tt class="py-op">]</tt> <tt class="py-op">+</tt> <tt class="py-string">"/.quodlibet/current.cover"</tt> </tt>
<a name="L69"></a><tt class="py-lineno"> 69</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-name">os</tt><tt class="py-op">.</tt><tt id="link-22" class="py-name" targets="Variable screenlets.ScreenletTheme.path=screenlets.ScreenletTheme-class.html#path,Variable screenlets.backend.CachingBackend.path=screenlets.backend.CachingBackend-class.html#path"><a title="screenlets.ScreenletTheme.path
screenlets.backend.CachingBackend.path" class="py-name" href="#" onclick="return doclink('link-22', 'path', 'link-22');">path</a></tt><tt class="py-op">.</tt><tt class="py-name">isfile</tt><tt class="py-op">(</tt><tt class="py-name">coverFile</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L70"></a><tt class="py-lineno"> 70</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-name">coverFile</tt> </tt>
<a name="L71"></a><tt class="py-lineno"> 71</tt>  <tt class="py-line">                <tt class="py-keyword">else</tt><tt class="py-op">:</tt> </tt>
<a name="L72"></a><tt class="py-lineno"> 72</tt>  <tt class="py-line">                        <tt class="py-name">current</tt> <tt class="py-op">=</tt> <tt class="py-name">os</tt><tt class="py-op">.</tt><tt class="py-name">environ</tt><tt class="py-op">[</tt><tt class="py-string">"HOME"</tt><tt class="py-op">]</tt> <tt class="py-op">+</tt> <tt class="py-string">"/.quodlibet/current"</tt> </tt>
<a name="L73"></a><tt class="py-lineno"> 73</tt>  <tt class="py-line">                        <tt class="py-name">f</tt> <tt class="py-op">=</tt> <tt id="link-23" class="py-name" targets="Method screenlets.utils.FileMonitor.open()=screenlets.utils.FileMonitor-class.html#open"><a title="screenlets.utils.FileMonitor.open" class="py-name" href="#" onclick="return doclink('link-23', 'open', 'link-23');">open</a></tt><tt class="py-op">(</tt><tt class="py-name">current</tt><tt class="py-op">,</tt> <tt class="py-string">"r"</tt><tt class="py-op">)</tt> </tt>
<a name="L74"></a><tt class="py-lineno"> 74</tt>  <tt class="py-line">                        <tt class="py-name">tmp</tt> <tt class="py-op">=</tt> <tt class="py-name">f</tt><tt class="py-op">.</tt><tt class="py-name">readlines</tt><tt class="py-op">(</tt><tt class="py-number">200</tt><tt class="py-op">)</tt> </tt>
<a name="L75"></a><tt class="py-lineno"> 75</tt>  <tt class="py-line">                        <tt class="py-name">f</tt><tt class="py-op">.</tt><tt id="link-24" class="py-name" targets="Method screenlets.Screenlet.close()=screenlets.Screenlet-class.html#close,Method screenlets.plugins.Mplayer.Mplayer.close()=screenlets.plugins.Mplayer.Mplayer-class.html#close,Method screenlets.utils.FileMonitor.close()=screenlets.utils.FileMonitor-class.html#close"><a title="screenlets.Screenlet.close
screenlets.plugins.Mplayer.Mplayer.close
screenlets.utils.FileMonitor.close" class="py-name" href="#" onclick="return doclink('link-24', 'close', 'link-24');">close</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L76"></a><tt class="py-lineno"> 76</tt>  <tt class="py-line">                        <tt class="py-keyword">for</tt> <tt class="py-name">line</tt> <tt class="py-keyword">in</tt> <tt class="py-name">tmp</tt><tt class="py-op">:</tt> </tt>
<a name="L77"></a><tt class="py-lineno"> 77</tt>  <tt class="py-line">                                <tt class="py-keyword">if</tt> <tt class="py-name">line</tt><tt class="py-op">.</tt><tt class="py-name">startswith</tt><tt class="py-op">(</tt><tt class="py-string">'~filename'</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L78"></a><tt class="py-lineno"> 78</tt>  <tt class="py-line">                                        <tt class="py-name">t</tt> <tt class="py-op">=</tt> <tt class="py-name">line</tt><tt class="py-op">.</tt><tt id="link-25" class="py-name" targets="Variable screenlets.plugins.Convert.Converter.replace=screenlets.plugins.Convert.Converter-class.html#replace"><a title="screenlets.plugins.Convert.Converter.replace" class="py-name" href="#" onclick="return doclink('link-25', 'replace', 'link-25');">replace</a></tt><tt class="py-op">(</tt><tt class="py-string">'~filename='</tt><tt class="py-op">,</tt><tt class="py-string">''</tt><tt class="py-op">)</tt> </tt>
<a name="L79"></a><tt class="py-lineno"> 79</tt>  <tt class="py-line">                                        <tt class="py-name">t</tt> <tt class="py-op">=</tt> <tt class="py-name">t</tt><tt class="py-op">.</tt><tt class="py-name">split</tt><tt class="py-op">(</tt><tt class="py-string">'/'</tt><tt class="py-op">)</tt> </tt>
<a name="L80"></a><tt class="py-lineno"> 80</tt>  <tt class="py-line">                                        <tt class="py-name">coverFile</tt> <tt class="py-op">=</tt> <tt class="py-string">''</tt> </tt>
<a name="L81"></a><tt class="py-lineno"> 81</tt>  <tt class="py-line">                                        <tt class="py-keyword">for</tt> <tt class="py-name">l</tt> <tt class="py-keyword">in</tt> <tt class="py-name">t</tt><tt class="py-op">:</tt> </tt>
<a name="L82"></a><tt class="py-lineno"> 82</tt>  <tt class="py-line">                                                <tt class="py-keyword">if</tt> <tt class="py-name">l</tt><tt class="py-op">.</tt><tt class="py-name">find</tt><tt class="py-op">(</tt><tt class="py-string">'.'</tt><tt class="py-op">)</tt> <tt class="py-op">==</tt> <tt class="py-op">-</tt><tt class="py-number">1</tt><tt class="py-op">:</tt> </tt>
<a name="L83"></a><tt class="py-lineno"> 83</tt>  <tt class="py-line">                                                        <tt class="py-name">coverFile</tt> <tt class="py-op">=</tt> <tt class="py-name">coverFile</tt> <tt class="py-op">+</tt> <tt class="py-name">l</tt> <tt class="py-op">+</tt><tt class="py-string">'/'</tt> </tt>
<a name="L84"></a><tt class="py-lineno"> 84</tt>  <tt class="py-line">                                        <tt class="py-name">coverFilefinal</tt> <tt class="py-op">=</tt> <tt class="py-name">coverFile</tt> <tt class="py-op">+</tt> <tt class="py-string">'Folder.jpg'</tt> </tt>
<a name="L85"></a><tt class="py-lineno"> 85</tt>  <tt class="py-line">                                        <tt class="py-keyword">if</tt> <tt class="py-name">os</tt><tt class="py-op">.</tt><tt id="link-26" class="py-name"><a title="screenlets.ScreenletTheme.path
screenlets.backend.CachingBackend.path" class="py-name" href="#" onclick="return doclink('link-26', 'path', 'link-22');">path</a></tt><tt class="py-op">.</tt><tt class="py-name">isfile</tt><tt class="py-op">(</tt><tt class="py-name">coverFilefinal</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L86"></a><tt class="py-lineno"> 86</tt>  <tt class="py-line">                                                <tt class="py-keyword">return</tt> <tt class="py-name">coverFilefinal</tt> </tt>
<a name="L87"></a><tt class="py-lineno"> 87</tt>  <tt class="py-line">                                        <tt class="py-keyword">else</tt><tt class="py-op">:</tt> </tt>
<a name="L88"></a><tt class="py-lineno"> 88</tt>  <tt class="py-line">                                                <tt class="py-name">coverFilefinal</tt> <tt class="py-op">=</tt> <tt class="py-name">coverFile</tt> <tt class="py-op">+</tt> <tt class="py-string">'folder.jpg'</tt>                                        </tt>
<a name="L89"></a><tt class="py-lineno"> 89</tt>  <tt class="py-line">                                        <tt class="py-keyword">if</tt> <tt class="py-name">os</tt><tt class="py-op">.</tt><tt id="link-27" class="py-name"><a title="screenlets.ScreenletTheme.path
screenlets.backend.CachingBackend.path" class="py-name" href="#" onclick="return doclink('link-27', 'path', 'link-22');">path</a></tt><tt class="py-op">.</tt><tt class="py-name">isfile</tt><tt class="py-op">(</tt><tt class="py-name">coverFilefinal</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L90"></a><tt class="py-lineno"> 90</tt>  <tt class="py-line">                                                <tt class="py-keyword">return</tt> <tt class="py-name">coverFilefinal</tt> </tt>
<a name="L91"></a><tt class="py-lineno"> 91</tt>  <tt class="py-line"> </tt>
<a name="L92"></a><tt class="py-lineno"> 92</tt>  <tt class="py-line">                                        <tt class="py-keyword">else</tt><tt class="py-op">:</tt> </tt>
<a name="L93"></a><tt class="py-lineno"> 93</tt>  <tt class="py-line">                                                <tt class="py-keyword">return</tt> <tt class="py-string">''</tt> </tt>
</div><a name="L94"></a><tt class="py-lineno"> 94</tt>  <tt class="py-line"> </tt>
<a name="SongbirdAPI.is_playing"></a><div id="SongbirdAPI.is_playing-def"><a name="L95"></a><tt class="py-lineno"> 95</tt> <a class="py-toggle" href="#" id="SongbirdAPI.is_playing-toggle" onclick="return toggle('SongbirdAPI.is_playing');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Songbird.SongbirdAPI-class.html#is_playing">is_playing</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="SongbirdAPI.is_playing-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="SongbirdAPI.is_playing-expanded"><a name="L96"></a><tt class="py-lineno"> 96</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-28" class="py-name" targets="Method screenlets.plugins.Amarok.AmarokAPI.get_title()=screenlets.plugins.Amarok.AmarokAPI-class.html#get_title,Method screenlets.plugins.Audacious.AudaciousAPI.get_title()=screenlets.plugins.Audacious.AudaciousAPI-class.html#get_title,Method screenlets.plugins.Banshee.BansheeAPI.get_title()=screenlets.plugins.Banshee.BansheeAPI-class.html#get_title,Method screenlets.plugins.Exaile.ExaileAPI.get_title()=screenlets.plugins.Exaile.ExaileAPI-class.html#get_title,Method screenlets.plugins.GenericPlayer.GenericAPI.get_title()=screenlets.plugins.GenericPlayer.GenericAPI-class.html#get_title,Method screenlets.plugins.Juk.JukAPI.get_title()=screenlets.plugins.Juk.JukAPI-class.html#get_title,Method screenlets.plugins.Kaffeine.KaffeineAPI.get_title()=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#get_title,Method screenlets.plugins.LastFMProxy.LastFMProxyAPI.get_title()=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#get_title,Method screenlets.plugins.Listen.ListenAPI.get_title()=screenlets.plugins.Listen.ListenAPI-class.html#get_title,Method screenlets.plugins.Quodlibet.QuodlibetAPI.get_title()=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#get_title,Method screenlets.plugins.Rhythmbox.RhythmboxAPI.get_title()=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#get_title,Method screenlets.plugins.Sonata.SonataAPI.get_title()=screenlets.plugins.Sonata.SonataAPI-class.html#get_title,Method screenlets.plugins.Songbird.SongbirdAPI.get_title()=screenlets.plugins.Songbird.SongbirdAPI-class.html#get_title"><a title="screenlets.plugins.Amarok.AmarokAPI.get_title
screenlets.plugins.Audacious.AudaciousAPI.get_title
screenlets.plugins.Banshee.BansheeAPI.get_title
screenlets.plugins.Exaile.ExaileAPI.get_title
screenlets.plugins.GenericPlayer.GenericAPI.get_title
screenlets.plugins.Juk.JukAPI.get_title
screenlets.plugins.Kaffeine.KaffeineAPI.get_title
screenlets.plugins.LastFMProxy.LastFMProxyAPI.get_title
screenlets.plugins.Listen.ListenAPI.get_title
screenlets.plugins.Quodlibet.QuodlibetAPI.get_title
screenlets.plugins.Rhythmbox.RhythmboxAPI.get_title
screenlets.plugins.Sonata.SonataAPI.get_title
screenlets.plugins.Songbird.SongbirdAPI.get_title" class="py-name" href="#" onclick="return doclink('link-28', 'get_title', 'link-28');">get_title</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> <tt class="py-op">!=</tt> <tt class="py-string">''</tt><tt class="py-op">:</tt> <tt class="py-keyword">return</tt> <tt class="py-name">True</tt> </tt>
<a name="L97"></a><tt class="py-lineno"> 97</tt>  <tt class="py-line">                <tt class="py-keyword">else</tt><tt class="py-op">:</tt> <tt class="py-keyword">return</tt> <tt class="py-name">False</tt> </tt>
</div><a name="L98"></a><tt class="py-lineno"> 98</tt>  <tt class="py-line"> </tt>
<a name="SongbirdAPI.play_pause"></a><div id="SongbirdAPI.play_pause-def"><a name="L99"></a><tt class="py-lineno"> 99</tt> <a class="py-toggle" href="#" id="SongbirdAPI.play_pause-toggle" onclick="return toggle('SongbirdAPI.play_pause');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Songbird.SongbirdAPI-class.html#play_pause">play_pause</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="SongbirdAPI.play_pause-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="SongbirdAPI.play_pause-expanded"><a name="L100"></a><tt class="py-lineno">100</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-29" class="py-name"><a title="screenlets.plugins.Amarok.AmarokAPI.playerAPI
screenlets.plugins.Audacious.AudaciousAPI.playerAPI
screenlets.plugins.Banshee.BansheeAPI.playerAPI
screenlets.plugins.Exaile.ExaileAPI.playerAPI
screenlets.plugins.Juk.JukAPI.playerAPI
screenlets.plugins.Kaffeine.KaffeineAPI.playerAPI
screenlets.plugins.LastFMProxy.LastFMProxyAPI.playerAPI
screenlets.plugins.Listen.ListenAPI.playerAPI
screenlets.plugins.Quodlibet.QuodlibetAPI.playerAPI
screenlets.plugins.Rhythmbox.RhythmboxAPI.playerAPI
screenlets.plugins.Sonata.SonataAPI.playerAPI
screenlets.plugins.Songbird.SongbirdAPI.playerAPI" class="py-name" href="#" onclick="return doclink('link-29', 'playerAPI', 'link-7');">playerAPI</a></tt><tt class="py-op">.</tt><tt class="py-name">PlayPause</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
</div><a name="L101"></a><tt class="py-lineno">101</tt>  <tt class="py-line"> </tt>
<a name="SongbirdAPI.next"></a><div id="SongbirdAPI.next-def"><a name="L102"></a><tt class="py-lineno">102</tt> <a class="py-toggle" href="#" id="SongbirdAPI.next-toggle" onclick="return toggle('SongbirdAPI.next');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Songbird.SongbirdAPI-class.html#next">next</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="SongbirdAPI.next-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="SongbirdAPI.next-expanded"><a name="L103"></a><tt class="py-lineno">103</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-30" class="py-name"><a title="screenlets.plugins.Amarok.AmarokAPI.playerAPI
screenlets.plugins.Audacious.AudaciousAPI.playerAPI
screenlets.plugins.Banshee.BansheeAPI.playerAPI
screenlets.plugins.Exaile.ExaileAPI.playerAPI
screenlets.plugins.Juk.JukAPI.playerAPI
screenlets.plugins.Kaffeine.KaffeineAPI.playerAPI
screenlets.plugins.LastFMProxy.LastFMProxyAPI.playerAPI
screenlets.plugins.Listen.ListenAPI.playerAPI
screenlets.plugins.Quodlibet.QuodlibetAPI.playerAPI
screenlets.plugins.Rhythmbox.RhythmboxAPI.playerAPI
screenlets.plugins.Sonata.SonataAPI.playerAPI
screenlets.plugins.Songbird.SongbirdAPI.playerAPI" class="py-name" href="#" onclick="return doclink('link-30', 'playerAPI', 'link-7');">playerAPI</a></tt><tt class="py-op">.</tt><tt class="py-name">Next</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
</div><a name="L104"></a><tt class="py-lineno">104</tt>  <tt class="py-line"> </tt>
<a name="SongbirdAPI.previous"></a><div id="SongbirdAPI.previous-def"><a name="L105"></a><tt class="py-lineno">105</tt> <a class="py-toggle" href="#" id="SongbirdAPI.previous-toggle" onclick="return toggle('SongbirdAPI.previous');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Songbird.SongbirdAPI-class.html#previous">previous</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="SongbirdAPI.previous-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="SongbirdAPI.previous-expanded"><a name="L106"></a><tt class="py-lineno">106</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-31" class="py-name"><a title="screenlets.plugins.Amarok.AmarokAPI.playerAPI
screenlets.plugins.Audacious.AudaciousAPI.playerAPI
screenlets.plugins.Banshee.BansheeAPI.playerAPI
screenlets.plugins.Exaile.ExaileAPI.playerAPI
screenlets.plugins.Juk.JukAPI.playerAPI
screenlets.plugins.Kaffeine.KaffeineAPI.playerAPI
screenlets.plugins.LastFMProxy.LastFMProxyAPI.playerAPI
screenlets.plugins.Listen.ListenAPI.playerAPI
screenlets.plugins.Quodlibet.QuodlibetAPI.playerAPI
screenlets.plugins.Rhythmbox.RhythmboxAPI.playerAPI
screenlets.plugins.Sonata.SonataAPI.playerAPI
screenlets.plugins.Songbird.SongbirdAPI.playerAPI" class="py-name" href="#" onclick="return doclink('link-31', 'playerAPI', 'link-7');">playerAPI</a></tt><tt class="py-op">.</tt><tt class="py-name">Previous</tt> <tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
</div><a name="L107"></a><tt class="py-lineno">107</tt>  <tt class="py-line"> </tt>
<a name="SongbirdAPI.register_change_callback"></a><div id="SongbirdAPI.register_change_callback-def"><a name="L108"></a><tt class="py-lineno">108</tt> <a class="py-toggle" href="#" id="SongbirdAPI.register_change_callback-toggle" onclick="return toggle('SongbirdAPI.register_change_callback');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Songbird.SongbirdAPI-class.html#register_change_callback">register_change_callback</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">fn</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="SongbirdAPI.register_change_callback-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="SongbirdAPI.register_change_callback-expanded"><a name="L109"></a><tt class="py-lineno">109</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-32" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.callback_fn
screenlets.plugins.Quodlibet.QuodlibetAPI.callback_fn
screenlets.plugins.Rhythmbox.RhythmboxAPI.callback_fn
screenlets.plugins.Songbird.SongbirdAPI.callback_fn" class="py-name" href="#" onclick="return doclink('link-32', 'callback_fn', 'link-9');">callback_fn</a></tt> <tt class="py-op">==</tt> <tt class="py-name">None</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L110"></a><tt class="py-lineno">110</tt>  <tt class="py-line">                        <tt class="py-comment">#print "Registering Callback"</tt> </tt>
<a name="L111"></a><tt class="py-lineno">111</tt>  <tt class="py-line"><tt class="py-comment"></tt>                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-33" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.callback_fn
screenlets.plugins.Quodlibet.QuodlibetAPI.callback_fn
screenlets.plugins.Rhythmbox.RhythmboxAPI.callback_fn
screenlets.plugins.Songbird.SongbirdAPI.callback_fn" class="py-name" href="#" onclick="return doclink('link-33', 'callback_fn', 'link-9');">callback_fn</a></tt> <tt class="py-op">=</tt> <tt class="py-name">fn</tt> </tt>
<a name="L112"></a><tt class="py-lineno">112</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-34" class="py-name"><a title="screenlets.plugins.Amarok.AmarokAPI.playerAPI
screenlets.plugins.Audacious.AudaciousAPI.playerAPI
screenlets.plugins.Banshee.BansheeAPI.playerAPI
screenlets.plugins.Exaile.ExaileAPI.playerAPI
screenlets.plugins.Juk.JukAPI.playerAPI
screenlets.plugins.Kaffeine.KaffeineAPI.playerAPI
screenlets.plugins.LastFMProxy.LastFMProxyAPI.playerAPI
screenlets.plugins.Listen.ListenAPI.playerAPI
screenlets.plugins.Quodlibet.QuodlibetAPI.playerAPI
screenlets.plugins.Rhythmbox.RhythmboxAPI.playerAPI
screenlets.plugins.Sonata.SonataAPI.playerAPI
screenlets.plugins.Songbird.SongbirdAPI.playerAPI" class="py-name" href="#" onclick="return doclink('link-34', 'playerAPI', 'link-7');">playerAPI</a></tt><tt class="py-op">.</tt><tt class="py-name">connect_to_signal</tt><tt class="py-op">(</tt><tt class="py-string">"trackChange"</tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-35" class="py-name" targets="Method screenlets.plugins.Amarok.AmarokAPI.info_changed()=screenlets.plugins.Amarok.AmarokAPI-class.html#info_changed,Method screenlets.plugins.Audacious.AudaciousAPI.info_changed()=screenlets.plugins.Audacious.AudaciousAPI-class.html#info_changed,Method screenlets.plugins.Banshee.BansheeAPI.info_changed()=screenlets.plugins.Banshee.BansheeAPI-class.html#info_changed,Method screenlets.plugins.Exaile.ExaileAPI.info_changed()=screenlets.plugins.Exaile.ExaileAPI-class.html#info_changed,Method screenlets.plugins.Juk.JukAPI.info_changed()=screenlets.plugins.Juk.JukAPI-class.html#info_changed,Method screenlets.plugins.Kaffeine.KaffeineAPI.info_changed()=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#info_changed,Method screenlets.plugins.LastFMProxy.LastFMProxyAPI.info_changed()=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#info_changed,Method screenlets.plugins.Listen.ListenAPI.info_changed()=screenlets.plugins.Listen.ListenAPI-class.html#info_changed,Method screenlets.plugins.Quodlibet.QuodlibetAPI.info_changed()=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#info_changed,Method screenlets.plugins.Rhythmbox.RhythmboxAPI.info_changed()=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#info_changed,Method screenlets.plugins.Sonata.SonataAPI.info_changed()=screenlets.plugins.Sonata.SonataAPI-class.html#info_changed,Method screenlets.plugins.Songbird.SongbirdAPI.info_changed()=screenlets.plugins.Songbird.SongbirdAPI-class.html#info_changed"><a title="screenlets.plugins.Amarok.AmarokAPI.info_changed
screenlets.plugins.Audacious.AudaciousAPI.info_changed
screenlets.plugins.Banshee.BansheeAPI.info_changed
screenlets.plugins.Exaile.ExaileAPI.info_changed
screenlets.plugins.Juk.JukAPI.info_changed
screenlets.plugins.Kaffeine.KaffeineAPI.info_changed
screenlets.plugins.LastFMProxy.LastFMProxyAPI.info_changed
screenlets.plugins.Listen.ListenAPI.info_changed
screenlets.plugins.Quodlibet.QuodlibetAPI.info_changed
screenlets.plugins.Rhythmbox.RhythmboxAPI.info_changed
screenlets.plugins.Sonata.SonataAPI.info_changed
screenlets.plugins.Songbird.SongbirdAPI.info_changed" class="py-name" href="#" onclick="return doclink('link-35', 'info_changed', 'link-35');">info_changed</a></tt><tt class="py-op">)</tt> </tt>
<a name="L113"></a><tt class="py-lineno">113</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-36" class="py-name"><a title="screenlets.plugins.Amarok.AmarokAPI.playerAPI
screenlets.plugins.Audacious.AudaciousAPI.playerAPI
screenlets.plugins.Banshee.BansheeAPI.playerAPI
screenlets.plugins.Exaile.ExaileAPI.playerAPI
screenlets.plugins.Juk.JukAPI.playerAPI
screenlets.plugins.Kaffeine.KaffeineAPI.playerAPI
screenlets.plugins.LastFMProxy.LastFMProxyAPI.playerAPI
screenlets.plugins.Listen.ListenAPI.playerAPI
screenlets.plugins.Quodlibet.QuodlibetAPI.playerAPI
screenlets.plugins.Rhythmbox.RhythmboxAPI.playerAPI
screenlets.plugins.Sonata.SonataAPI.playerAPI
screenlets.plugins.Songbird.SongbirdAPI.playerAPI" class="py-name" href="#" onclick="return doclink('link-36', 'playerAPI', 'link-7');">playerAPI</a></tt><tt class="py-op">.</tt><tt class="py-name">connect_to_signal</tt><tt class="py-op">(</tt><tt class="py-string">"stop"</tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-37" class="py-name"><a title="screenlets.plugins.Amarok.AmarokAPI.info_changed
screenlets.plugins.Audacious.AudaciousAPI.info_changed
screenlets.plugins.Banshee.BansheeAPI.info_changed
screenlets.plugins.Exaile.ExaileAPI.info_changed
screenlets.plugins.Juk.JukAPI.info_changed
screenlets.plugins.Kaffeine.KaffeineAPI.info_changed
screenlets.plugins.LastFMProxy.LastFMProxyAPI.info_changed
screenlets.plugins.Listen.ListenAPI.info_changed
screenlets.plugins.Quodlibet.QuodlibetAPI.info_changed
screenlets.plugins.Rhythmbox.RhythmboxAPI.info_changed
screenlets.plugins.Sonata.SonataAPI.info_changed
screenlets.plugins.Songbird.SongbirdAPI.info_changed" class="py-name" href="#" onclick="return doclink('link-37', 'info_changed', 'link-35');">info_changed</a></tt><tt class="py-op">)</tt> </tt>
</div><a name="L114"></a><tt class="py-lineno">114</tt>  <tt class="py-line">                        <tt class="py-comment">#self.playerAPI.connect_to_signal("playingSongPropertyChanged", self.info_changed)</tt> </tt>
<a name="L115"></a><tt class="py-lineno">115</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="L116"></a><tt class="py-lineno">116</tt>  <tt class="py-line">        <tt class="py-comment"># Internal Functions</tt> </tt>
<a name="L117"></a><tt class="py-lineno">117</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment">#       def getProperty(self, name):</tt> </tt>
<a name="L118"></a><tt class="py-lineno">118</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment">##              try:</tt> </tt>
<a name="L119"></a><tt class="py-lineno">119</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment">#                       val = self.shellAPI.getSongProperties(self.playerAPI.getPlayingUri())[name]</tt> </tt>
<a name="L120"></a><tt class="py-lineno">120</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment">#                       return val</tt> </tt>
<a name="L121"></a><tt class="py-lineno">121</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment">#               except:</tt> </tt>
<a name="L122"></a><tt class="py-lineno">122</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment">#                       return None</tt> </tt>
<a name="L123"></a><tt class="py-lineno">123</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment">#</tt> </tt>
<a name="SongbirdAPI.info_changed"></a><div id="SongbirdAPI.info_changed-def"><a name="L124"></a><tt class="py-lineno">124</tt> <a class="py-toggle" href="#" id="SongbirdAPI.info_changed-toggle" onclick="return toggle('SongbirdAPI.info_changed');">-</a><tt class="py-line"><tt class="py-comment"></tt>        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Songbird.SongbirdAPI-class.html#info_changed">info_changed</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-op">*</tt><tt class="py-param">args</tt><tt class="py-op">,</tt> <tt class="py-op">**</tt><tt class="py-param">kwargs</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="SongbirdAPI.info_changed-collapsed" style="display:none;" pad="+++" indent="++++++++++++"></div><div id="SongbirdAPI.info_changed-expanded"><a name="L125"></a><tt class="py-lineno">125</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-38" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.callback_fn
screenlets.plugins.Quodlibet.QuodlibetAPI.callback_fn
screenlets.plugins.Rhythmbox.RhythmboxAPI.callback_fn
screenlets.plugins.Songbird.SongbirdAPI.callback_fn" class="py-name" href="#" onclick="return doclink('link-38', 'callback_fn', 'link-9');">callback_fn</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
</div></div><a name="L126"></a><tt class="py-lineno">126</tt>  <tt class="py-line"> </tt><script type="text/javascript">
<!--
expandto(location.href);
// -->
</script>
</pre>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0beta1 on Wed Jun  4 18:52:59 2008
    </td>
    <td align="right" class="footer">
      <a href="http://epydoc.sourceforge.net">http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
